Bug 1807516 - libndn-cxx requires Python 2 to build
Summary: libndn-cxx requires Python 2 to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libndn-cxx
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Susmit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-26 14:36 UTC by Petr Viktorin
Modified: 2021-02-25 23:28 UTC (History)
2 users (show)

Fixed In Version: libndn-cxx-0.7.1-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-25 23:16:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-26 14:36:45 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like libndn-cxx, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed. It looks like need for python2 comes from a bundled version of "waf"; can that be updated?
Let us know if you need any help investigating or removing the dependency.

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Ben Cotton 2020-08-11 13:10:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 2 Petr Viktorin 2021-01-13 21:19:41 UTC
Do you have any update?

Comment 3 Susmit 2021-02-10 22:17:49 UTC
Pushed a new version to rawhide - working on both F33 and F34.

Comment 5 Fedora Update System 2021-02-25 23:28:22 UTC
FEDORA-2021-55afd00062 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.